The Feedback report object#

Every field on a feedback report, as returned by retrieve and carried by the endpoints below.

Attributes

One of these shapes

actual_behaviorstring
canonical_commandstring
code_locationstring
componentstring
created_atstringRequired

When Flint stored the report.

descriptionstring
expected_behaviorstring
feedback_report_idstringRequired
kindenumRequired
  • rating
related_request_idstring
related_resource_idsarray of string
reporter_kindenum
  • human
  • ai_agent
reporting_clientobject
reproduction_stepsarray of string
sentimentenumRequired
  • positive
  • negative
  • neutral
summarystring
surfaceenumRequired
  • api
  • cli
  • mcp
  • sdk
  • docs
  • dashboard
  • checkout
  • payment_links
  • webhooks
  • onboarding
  • mobile
  • other
surface_routestring

List feedback reports#

GET/v1/feedback-reports

Requires scope developer.feedback_reports.read

Lists feedback reports in descending creation order for the credential's merchant and environment.

Query parameters

page_sizeinteger

Number of reports to return.

page_tokenstring

Opaque token returned by the previous page.

Response · 200

dataarray of one ofRequired
metaobject
next_page_tokenstring
request_idstring
curl https://api.withflintpay.com/v1/feedback-reports \
  -H "Flint-Version: 2026-09-07" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create a feedback report#

POST/v1/feedback-reportsIdempotent

Requires scope developer.feedback_reports.write

Stores one immutable occurrence of Flint feedback. Use one report per root cause and include only the evidence needed to describe Flint's behavior.

Request body

Send exactly one of these

actual_behaviorstring
canonical_commandstring
code_locationstring
componentstring
descriptionstring
expected_behaviorstring
kindenumRequired
  • rating
related_request_idstring
related_resource_idsarray of string
reporter_kindenum
  • human
  • ai_agent
reporting_clientobject
reproduction_stepsarray of string
sentimentenumRequired
  • positive
  • negative
  • neutral
summarystring
surfaceenumRequired
  • api
  • cli
  • mcp
  • sdk
  • docs
  • dashboard
  • checkout
  • payment_links
  • webhooks
  • onboarding
  • mobile
  • other
surface_routestring

Response · 201

dataone ofRequired
metaobject
request_idstring
curl -X POST https://api.withflintpay.com/v1/feedback-reports \
  -H "Flint-Version: 2026-09-07" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: a-unique-key" \
  -d '{
    "kind": "papercut",
    "surface": "api"
  }'

Get a feedback report#

GET/v1/feedback-reports/{feedback_report_id}

Requires scope developer.feedback_reports.read

Returns one immutable feedback report in the credential's merchant and environment.

Path parameters

feedback_report_idstringRequired

Flint feedback report ID.

Response · 200

dataone ofRequired
metaobject
request_idstring
curl https://api.withflintpay.com/v1/feedback-reports/{feedback_report_id} \
  -H "Flint-Version: 2026-09-07" \
  -H "Authorization: Bearer YOUR_API_KEY"

Was this helpful?